function Kn = ukr_aux_normalize(K,sumK)
%function Kn = ukr_aux_normalize(K [,sumK])

if nargin<2
   sumK=sum(K);
end

m = size(K,1);

iSumK = sumK.^(-1);
iSumK(sumK==0) = 0;
Kn = K.*repmat(iSumK,m,1);
