function [f, J] = ukr_fJ(x, model)
% function [f, J] = ukr_fJ(x, model)
%
% Computes regression function like ukr_f and the
% corresponding Jacobian

[b,Jb]=ukr_bJ(x,model);
f = model.Y*b;
J = model.Y*Jb;

