function rs = ukr_rprop_init(X)
% function rs = ukr_rprop_init(X)
%
% This function creates an initial structure for RPROP-based optimization.
% You should not have to call this function directly.

rs.oldX=X;
rs.oldG=zeros(size(X));

rs.eta=repmat(0.02,size(X));  % initial RPROP stepwidth
rs.eta_p=1.2;                 % RPROP stepwidth increasing
rs.eta_m=0.5;                 % RPROP stepwidth decreasing        
rs.eta_min=0.000001;          % RPROP minimal stepwidth
rs.eta_max=0.5;               % RPROP maximum stepwidth

